org.apache.hc.client5.http.io

## Class ConnectionEndpoint

- java.lang.Object
- - org.apache.hc.client5.http.io.ConnectionEndpoint

All Implemented Interfaces:
  Closeable, AutoCloseable, org.apache.hc.core5.io.GracefullyCloseable

    @Contract(threading=SAFE)
    public abstract class ConnectionEndpoint
    extends Object
    implements org.apache.hc.core5.io.GracefullyCloseable

Client connection endpoint that can be used to execute message exchanges.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`ConnectionEndpoint()`

### Method Summary

Methods
`abstract org.apache.hc.core5.http.ClassicHttpResponse` `execute(org.apache.hc.core5.http.ClassicHttpRequest request, org.apache.hc.core5.http.impl.io.HttpRequestExecutor executor, org.apache.hc.core5.http.protocol.HttpContext context)`
`abstract boolean` `isConnected()`
`abstract void` `setSocketTimeout(int timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.io.GracefullyCloseable

`shutdown`

### Methods inherited from interface java.io.Closeable

`close`

### Constructor Detail

#### ConnectionEndpoint

    public ConnectionEndpoint()

### Method Detail

#### execute

    public abstract org.apache.hc.core5.http.ClassicHttpResponse execute(org.apache.hc.core5.http.ClassicHttpRequest request,
                                                       org.apache.hc.core5.http.impl.io.HttpRequestExecutor executor,
                                                       org.apache.hc.core5.http.protocol.HttpContext context)
                                                                  throws IOException,
                                                                         org.apache.hc.core5.http.HttpException

Throws:
  `IOException`
  `org.apache.hc.core5.http.HttpException`

#### isConnected

    public abstract boolean isConnected()

#### setSocketTimeout

    public abstract void setSocketTimeout(int timeout)